TYPO3.Neos - Task # 8847

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:

Created: 2010-07-13 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:

Subiject: Only focus the username field if it has not been focused already

Description

Since r4774 we have a nice autofocus feature in the TYPO3 login form.

| noticed one issue though:

If the page still loads while you're already typing the password, the focus will switch to the username field..

You can reproduce this by clearing your browser cache, calling http://latest.phoenix.demo.typo3.org/typo3/login and typing in the
password field.

Maybe it already helps to move the JS to the top of the page.

Related issues:
related to TYPOS3.Neos - Task # 8706: For the login screen, add an autofocus t... Resolved 2010-07-06

Associated revisions

Revision 859483e9 - 2010-08-23 22:04 - Berit Hlubek

[~TASK] TYPOS (Login): Use JS for focus only if no input-field is focused, relates to #8847

Change-Id: 1{61588ee8c3026c3aebcbd3fe806768760c7d4e6

History

#1 - 2010-08-16 22:40 - Berit Hlubek
- Assigned To changed from Berit Hlubek to Bastian Waidelich

| changed the JS and moved it a bit to the top.

As | couldn't reproduce the problem on my notebook | created a patch with the different JS, perhaps you could test whether the problem still exists in

that version?

#2 - 2010-08-17 10:01 - Bastian Waidelich

Berit Jensen wrote:

Hi Berit,

As | couldn't reproduce the problem on my notebook | created a patch with the different JS,

perhaps you could test whether the problem still exists in that version?

Could you please upload the patch? ;)

Best,
Bastian
http://latest.phoenix.demo.typo3.org/typo3/login

#3 - 2010-08-17 15:19 - Berit Hlubek
- File LoginFocus.patch added

#4 - 2010-08-17 16:09 - Berit Hlubek
- File LoginFocus.patch added

| added another version, like we discussed it would be nicer to just set the focus via JS if nothing already is on focus.

#5 - 2010-08-17 20:06 - Berit Hlubek

Committed this version to enable testing.

#6 - 2010-08-18 01:33 - Bastian Waidelich

- Status changed from New to Resolved

Great, that fixed the issue for me.
Thanks, Berit!

Files

LoginFocus.patch 1 kB 2010-08-17 Berit Hlubek

LoginFocus.patch 550 Bytes 2010-08-17 Berit Hlubek
